unit CounterChartTest_u;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, TeEngine, TeeSurfa, ExtCtrls, TeeProcs, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TContourSeries;
    Button1: TButton;
    View2DChk: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure View2DChkClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
{populate the grid}
Series1.Clear;
Series1.IrregularGrid := true;
Series1.PaletteStyle := psPale;


Series1.AddXYZ(1, 0, 1);
Series1.AddXYZ(2, 0, 1);
Series1.AddXYZ(3, 0, 1);
Series1.AddXYZ(4, 0, 1);
Series1.AddXYZ(5, 0, 1);
Series1.AddXYZ(6, 0, 1);
Series1.AddXYZ(7, 0, 1);
Series1.AddXYZ(8, 0, 1);
Series1.AddXYZ(9, 0, 1);
Series1.AddXYZ(10, 0, 1);
Series1.AddXYZ(11, 0, 1);
Series1.AddXYZ(12, 0, 1);

Series1.AddXYZ(1, 100, 2);
Series1.AddXYZ(2, 100, 2);
Series1.AddXYZ(3, 100, 2);
Series1.AddXYZ(4, 100, 2);
Series1.AddXYZ(5, 100, 2);
Series1.AddXYZ(6, 100, 2);
Series1.AddXYZ(7, 24, 2);
Series1.AddXYZ(8, 24, 2);
Series1.AddXYZ(9, 30, 2);
Series1.AddXYZ(10, 16, 2);
Series1.AddXYZ(11, 11, 2);
Series1.AddXYZ(12, 14, 2);

Series1.AddXYZ(1, 100, 3);
Series1.AddXYZ(2, 100, 3);
Series1.AddXYZ(3, 100, 3);
Series1.AddXYZ(4, 100, 3);
Series1.AddXYZ(5, 100, 3);
Series1.AddXYZ(6, 100, 3);
Series1.AddXYZ(7, 100, 3);
Series1.AddXYZ(8, 100, 3);
Series1.AddXYZ(9, 13, 3);
Series1.AddXYZ(10, 15, 3);
Series1.AddXYZ(11, 100, 3);
Series1.AddXYZ(12, 100, 3);

(*
Series1.AddXYZ(1, 100, 4);
Series1.AddXYZ(2, 100, 4);
Series1.AddXYZ(3, 100, 4);
Series1.AddXYZ(4, 100, 4);
Series1.AddXYZ(5, 100, 4);
Series1.AddXYZ(6, 100, 4);
Series1.AddXYZ(7, 21, 4);
Series1.AddXYZ(8, 7, 4);
Series1.AddXYZ(9, 3, 4);
Series1.AddXYZ(10, 3, 4);
Series1.AddXYZ(11, 8, 4);
Series1.AddXYZ(12, 12, 4);

Series1.AddXYZ(1, 7, 5);
Series1.AddXYZ(2, 100, 5);
Series1.AddXYZ(3, 100, 5);
Series1.AddXYZ(4, 100, 5);
Series1.AddXYZ(5, 100, 5);
Series1.AddXYZ(6, 11, 5);
Series1.AddXYZ(7, 8, 5);
Series1.AddXYZ(8, 5, 5);
Series1.AddXYZ(9, 5, 5);
Series1.AddXYZ(10, 5, 5);
Series1.AddXYZ(11, 4, 5);
Series1.AddXYZ(12, 7, 5);
*)
end;

procedure TForm1.View2DChkClick(Sender: TObject);
begin
Chart1.View3D := not View2DChk.Checked;
end;

end.
